org.multiverse.api.exceptions

## Class RetryNotPossibleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.RetryException
          - - org.multiverse.api.exceptions.RetryNotPossibleException

All Implemented Interfaces:
  java.io.Serializable

    public class RetryNotPossibleException
    extends RetryException

A `RetryException` throw when a `StmUtils.retry()` or `Txn.retry()` done on a `Txn` without the possibility of progress, for example when the readset of a transaction is empty.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RetryNotPossibleException(java.lang.String message)` Creates a new NoRetryPossibleException with the provided message.
`RetryNotPossibleException(java.lang.String message, java.lang.Throwable cause)` Creates a new NoRetryPossibleException with the provided message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RetryNotPossibleException

    public RetryNotPossibleException(java.lang.String message)

Creates a new NoRetryPossibleException with the provided message.

Parameters:
  `message` - the message of the exception.

#### RetryNotPossibleException

    public RetryNotPossibleException(java.lang.String message,
                             java.lang.Throwable cause)

Creates a new NoRetryPossibleException with the provided message and cause.

Parameters:
  `message` - the message of the exception.
  `cause` - the cause of the exception.